=== debian/changelog ===
knewstuff (5.92.0-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.92.0)

  [ Rik Mills ]
  * Update symbols from build logs.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:01 +0000

knewstuff (5.91.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 18:59:09 +0000

knewstuff (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * New library package: libkf5newstuffwidgets5
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:11 +0000

knewstuff (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:03 +0000

knewstuff (5.88.0-1ubuntu3) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:11:50 +0000

knewstuff (5.88.0-1ubuntu2) jammy; urgency=medium

  * Restore build depend on libkf5syndication-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 10:35:04 +0000

knewstuff (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not apply Debian patch for flaky test. We do not run this at
      build time or in autopkgtests.
    - Keep our symbols file.
    - Add lintian overrides for lintian complaining that *.desktop files
      are not elfs or scripts.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 10:25:15 +0000

knewstuff (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * Drop upstream patches.
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

knewstuff (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:40 +0000

knewstuff (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Remove upstream-f687c5ab-include-useragent-on-kns-request.patch
  * Remove upstream_fix_crash_in_downloadwidget.patch
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:38 +0000

knewstuff (5.86.0-3) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix: include useragent on kns request.

 -- Norbert Preining <norbert@preining.info>  Fri, 01 Oct 2021 23:40:58 +0900

knewstuff (5.86.0-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for crashes in DownloadWidget.

 -- Norbert Preining <norbert@preining.info>  Tue, 28 Sep 2021 04:45:50 +0900

knewstuff (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:14 +0900

knewstuff (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

knewstuff (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Disable built time tests.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 09:57:48 +0900

knewstuff (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

knewstuff (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

knewstuff (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:16:19 +0900

knewstuff (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.
  * Disable flaky test.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 19:06:41 +0900

knewstuff (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

knewstuff (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update symbols.
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900
