=== debian/control ===
--- 
+++ 
@@ -7,23 +7,23 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5archive-dev (>= 5.92.0~),
-               libkf5attica-dev (>= 5.92.0~),
-               libkf5completion-dev (>= 5.92.0~),
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5i18n-dev (>= 5.92.0~),
-               libkf5iconthemes-dev (>= 5.92.0~),
-               libkf5itemviews-dev (>= 5.92.0~),
-               libkf5kio-dev (>= 5.92.0~),
-               libkf5package-dev (>= 5.92.0~),
-               libkf5service-dev (>= 5.92.0~),
-               libkf5syndication-dev (>= 1:5.92.0~),
-               libkf5textwidgets-dev (>= 5.92.0~),
-               libkf5widgetsaddons-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               libkf5archive-dev (>= 5.98.0~),
+               libkf5attica-dev (>= 5.98.0~),
+               libkf5completion-dev (>= 5.98.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5iconthemes-dev (>= 5.98.0~),
+               libkf5itemviews-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
+               libkf5package-dev (>= 5.98.0~),
+               libkf5service-dev (>= 5.98.0~),
+               libkf5syndication-dev (>= 1:5.98.0~),
+               libkf5textwidgets-dev (>= 5.98.0~),
+               libkf5widgetsaddons-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -64,13 +64,13 @@
 Package: libkf5newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.92.0~),
-         libkf5attica-dev (>= 5.92.0~),
-         libkf5kio-dev (>= 5.92.0~),
+Depends: libkf5archive-dev (>= 5.98.0~),
+         libkf5attica-dev (>= 5.98.0~),
+         libkf5kio-dev (>= 5.98.0~),
          libkf5newstuff5 (= ${binary:Version}),
          libkf5newstuffcore5 (= ${binary:Version}),
          libkf5newstuffwidgets5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.92.0~),
+         libkf5xmlgui-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5newstuff-doc (= ${source:Version})
